.auth-container {
  background: rgba(50, 50, 50, 0.5);
  border-radius: 15px;

  -webkit-box-shadow: 0px 10px 25px 0px rgba(15,15,15,1);
  -moz-box-shadow: 0px 10px 25px 0px rgba(15,15,15,1);
  box-shadow: 0px 10px 25px 0px rgba(15,15,15,1);

  width: 25dvw;
  height: auto;

  display: flex;
	flex-direction: column;

  transition: height 0.9s;
}

.auth-wrapper {
  display: flex;
  flex-direction: column;
  margin: 0 6rem;
}

.auth-title {
  font-size: 2.14rem;
  align-self: center;
  margin-top: 2.14rem;
  margin-bottom: 3rem;
}

.auth-field {
  display: flex;
  align-items: center;
  margin-bottom: 1.6rem;
  position: relative;
}

.auth-label {
  display: block;
  position: absolute;
  pointer-events: none;
  margin-left: 1rem;
  transition: 0.3s all ease-in-out;
  transform: translateY(0%);
}

.auth-label--fixed {
  transform: translateY(-120%); 
}

.auth-input {
  width: 100%;
  font-size: 1.43rem;
  outline: none;
  border: 0.1rem solid #858585;
}

.auth-input:focus {
  outline-style: solid;
  outline-width: 0.15rem;
  outline-color: #676767;
}

.auth-input--error {
  border: 0.1rem solid #E6001F;
}

.auth-input--error:focus {
  outline-style: solid;
  outline-width: 0.15rem;
  outline-color: #C8001B;
}

.auth-input:focus + .auth-label {
  transform: translateY(-120%); 
}

.auth-button {
	width: 8dvw;
	min-height: fit-content;

  align-self: center;
  margin-bottom: 2rem;
}

.auth-error-handler {
  padding: 0 3rem;
}

.auth-error-container {
  display: flex;
  align-items: center;
  color: #f00;
}

.auth-error-container:last-child {
  margin-bottom: 2rem;
}

.auth-error-container > img {
  margin-right: 0.3rem;
}

.auth-method {
  align-self: center;
  font-size: 1.15rem;
  margin-bottom: 1rem;

  display: flex;
  width: 100%;
  justify-content: center;
}

.auth-method-wrapper {
  display: flex;
  margin: 0 3rem;
  flex-wrap: wrap;
  justify-content: center;
}

.auth-method-wrapper > span {
  padding-right: 0.4rem;
}

.auth-method-links > a > span {
  color: #b8cfff;
}

.auth-method-links > a > span:hover {
  color: #587DB4;
}

@media screen and (max-width: 1600px) {
  html {
    font-size: 12px;
  }
}


@media screen and (max-width: 1366px) {
  html {
    font-size: 10px;
  }

  .auth-container {
    width: 35dvw;
  }

  .auth-title {
    margin-top: 1.5rem;
    margin-bottom: 2rem;
  }

  .auth-method-wrapper {
    margin: 0 1.5rem;
  }

  .auth-wrapper {
    margin: 0 3rem;
  }
}

@media screen and (max-width: 900px) {
  .auth-container {
    width: 45dvw;
  }

}

@media screen and (max-width: 700px) {
  html {
    font-size: 8px;
  }

  .auth-container {
    width: 60dvw;
  }

  .auth-title {
    font-size: 1.5rem;
    margin-top: 1rem;
    margin-bottom: 1.5rem;
  }

  .auth-input {
    font-size: 1rem;
  }

  .auth-method {
    font-size: 0.8rem;
  }

  .auth-method-wrapper {
    margin: 0 1rem;
  }

  .auth-wrapper {
    margin: 0 1.5rem;
  }

  .auth-button {
    font-size: 1rem;
    width: fit-content;
    margin-bottom: 1rem;
  }
}
